﻿<%@ Page language="C#" masterpagefile="Smaajobbsentralen.master" title="StartsidenArbeidssøkereArbeidsgi" %>

<script runat="server">
    protected void GridView1_SelectedIndexChanged(object sender, EventArgs e)
    {
        hyperNyOppgave.Text = "Ny arbeidsppgave for arbeidsgiver nr " + GridView1.SelectedValue;
        hyperNyOppgave.NavigateUrl = "NyArbeidsoppgave.aspx?ArbeidsgiverID=" + GridView1.SelectedValue;
    }
</script>

<asp:Content id="Content1" runat="server" contentplaceholderid="innhold">

				<h1>Arbeidsgivere med arbeidsoppgaver</h1>
				
				<h2>Arbeidsgivere</h2>
				<asp:SqlDataSource id="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString1 %>" DeleteCommand="DELETE FROM [Arbeidsgiver] WHERE [ArbeidsgiverID] = ?" InsertCommand="INSERT INTO [Arbeidsgiver] ([Navn], [Adresse], [Postnr], [Sted], [Telefon], [Email], [RegistrertDato]) VALUES (?, ?, ?, ?, ?, ?, ?)" ProviderName="<%$ ConnectionStrings:JobbsentralConnectionString1.ProviderName %>" SelectCommand="SELECT * FROM [Arbeidsgiver]" UpdateCommand="UPDATE [Arbeidsgiver] SET [Navn] = ?, [Adresse] = ?, [Postnr] = ?, [Sted] = ?, [Telefon] = ?, [Email] = ?, [RegistrertDato] = ? WHERE [ArbeidsgiverID] = ?">
					<DeleteParameters>
						<asp:parameter Name="ArbeidsgiverID" Type="Int32" />
					</DeleteParameters>
					<UpdateParameters>
						<asp:parameter Name="Navn" Type="String" />
						<asp:parameter Name="Adresse" Type="String" />
						<asp:parameter Name="Postnr" Type="String" />
						<asp:parameter Name="Sted" Type="String" />
						<asp:parameter Name="Telefon" Type="String" />
						<asp:parameter Name="Email" Type="String" />
						<asp:parameter Name="RegistrertDato" Type="DateTime" />
						<asp:parameter Name="ArbeidsgiverID" Type="Int32" />
					</UpdateParameters>
					<InsertParameters>
						<asp:parameter Name="Navn" Type="String" />
						<asp:parameter Name="Adresse" Type="String" />
						<asp:parameter Name="Postnr" Type="String" />
						<asp:parameter Name="Sted" Type="String" />
						<asp:parameter Name="Telefon" Type="String" />
						<asp:parameter Name="Email" Type="String" />
						<asp:parameter Name="RegistrertDato" Type="DateTime" />
					</InsertParameters>
				</asp:SqlDataSource>
				<asp:GridView id="GridView1" runat="server" AllowPaging="True" AllowSorting="True" 
                        AutoGenerateColumns="False" DataKeyNames="ArbeidsgiverID" 
                        DataSourceID="SqlDataSource1" Width="761px" 
                        onselectedindexchanged="GridView1_SelectedIndexChanged">
					<Columns>
						<asp:commandfield ShowDeleteButton="True" ShowEditButton="True" ShowSelectButton="True">
						</asp:commandfield>
						<asp:boundfield DataField="ArbeidsgiverID" HeaderText="ArbeidsgiverID" InsertVisible="False" ReadOnly="True" SortExpression="ArbeidsgiverID">
						</asp:boundfield>
						<asp:boundfield DataField="Navn" HeaderText="Navn" SortExpression="Navn">
						</asp:boundfield>
						<asp:boundfield DataField="Adresse" HeaderText="Adresse" SortExpression="Adresse">
						</asp:boundfield>
						<asp:boundfield DataField="Postnr" HeaderText="Postnr" SortExpression="Postnr">
						</asp:boundfield>
						<asp:boundfield DataField="Sted" HeaderText="Sted" SortExpression="Sted">
						</asp:boundfield>
						<asp:boundfield DataField="Telefon" HeaderText="Telefon" SortExpression="Telefon">
						</asp:boundfield>
						<asp:boundfield DataField="Email" HeaderText="Email" SortExpression="Email">
						</asp:boundfield>
						<asp:boundfield DataField="RegistrertDato" DataFormatString="{0:dd.MM.yyyy} " HeaderText="RegistrertDato" SortExpression="RegistrertDato">
						</asp:boundfield>
					</Columns>
				</asp:GridView>
				<asp:HyperLink ID="hyperNyArbeidsgiver" runat="server" 
                    NavigateUrl="NyArbeidsgiver.aspx">Ny arbeidsgiver</asp:HyperLink>	
				<h2>Arbeidsoppgaver</h2>
				<asp:SqlDataSource id="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:JobbsentralConnectionString1 %>" DeleteCommand="DELETE FROM [Arbeidsoppgave] WHERE [ArbeidsoppgaveID] = ?" InsertCommand="INSERT INTO [Arbeidsoppgave] ([OppdragsDato], [Arbeidsbeskrivelse], [ØnskedeKvalifikasjoner], [Utført], [ArbeidsgiverID]) VALUES (?, ?, ?, ?, ?)" ProviderName="<%$ ConnectionStrings:JobbsentralConnectionString1.ProviderName %>" SelectCommand="SELECT * FROM [Arbeidsoppgave] WHERE ([ArbeidsgiverID] = ?)" UpdateCommand="UPDATE [Arbeidsoppgave] SET [OppdragsDato] = ?, [Arbeidsbeskrivelse] = ?, [ØnskedeKvalifikasjoner] = ?, [Utført] = ?, [ArbeidsgiverID] = ? WHERE [ArbeidsoppgaveID] = ?">
					<SelectParameters>
						<asp:controlparameter ControlID="GridView1" Name="ArbeidsgiverID" PropertyName="SelectedValue" Type="Int32" />
					</SelectParameters>
					<DeleteParameters>
						<asp:parameter Name="ArbeidsoppgaveID" Type="Int32" />
					</DeleteParameters>
					<UpdateParameters>
						<asp:parameter Name="OppdragsDato" Type="DateTime" />
						<asp:parameter Name="Arbeidsbeskrivelse" Type="String" />
						<asp:parameter Name="ØnskedeKvalifikasjoner" Type="String" />
						<asp:parameter Name="Utført" Type="Boolean" />
						<asp:parameter Name="ArbeidsgiverID" Type="Int32" />
						<asp:parameter Name="ArbeidsoppgaveID" Type="Int32" />
					</UpdateParameters>
					<InsertParameters>
						<asp:parameter Name="OppdragsDato" Type="DateTime" />
						<asp:parameter Name="Arbeidsbeskrivelse" Type="String" />
						<asp:parameter Name="ØnskedeKvalifikasjoner" Type="String" />
						<asp:parameter Name="Utført" Type="Boolean" />
						<asp:parameter Name="ArbeidsgiverID" Type="Int32" />
					</InsertParameters>
				</asp:SqlDataSource>
				    
				<asp:GridView id="GridView2" runat="server" AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="ArbeidsoppgaveID" DataSourceID="SqlDataSource2" Width="761px">
					<Columns>
						<asp:commandfield ShowDeleteButton="True" ShowEditButton="True">
						</asp:commandfield>
						<asp:boundfield DataField="ArbeidsoppgaveID" HeaderText="ArbeidsoppgaveID" InsertVisible="False" ReadOnly="True" SortExpression="ArbeidsoppgaveID">
						</asp:boundfield>
						<asp:boundfield DataField="OppdragsDato" DataFormatString="{0:dd.MM.yyyy} " 
                            HeaderText="OppdragsDato" SortExpression="OppdragsDato" 
                            ApplyFormatInEditMode="True">
						</asp:boundfield>
						<asp:boundfield DataField="Arbeidsbeskrivelse" HeaderText="Arbeidsbeskrivelse" SortExpression="Arbeidsbeskrivelse">
						</asp:boundfield>
						<asp:boundfield DataField="ØnskedeKvalifikasjoner" HeaderText="ØnskedeKvalifikasjoner" SortExpression="ØnskedeKvalifikasjoner">
						</asp:boundfield>
						<asp:checkboxfield DataField="Utført" HeaderText="Utført" SortExpression="Utført">
						</asp:checkboxfield>
						<asp:boundfield DataField="ArbeidsgiverID" HeaderText="ArbeidsgiverID" SortExpression="ArbeidsgiverID">
						</asp:boundfield>
					</Columns>
				</asp:GridView>
				
	

				<asp:HyperLink ID="hyperNyOppgave" runat="server"></asp:HyperLink>		
</asp:Content>
<asp:Content id="Content2" runat="server" contentplaceholderid="Sidebanner">

				<p>&nbsp;</p>
			
</asp:Content>
